KDEINIT5(8)

NOME
kdeinit5 - Avviatore per applicazioni con supporto per kdeinit integrato, e per KIO slave.

SINTASSI

kdeinit5 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programmi] | [programmi]]

DESCRIZIONE

kdeinit5 è un avviatore di processi in qualche modo simile al più noto init, usato per avviare UNIX. Esegue i programmi di KDE e i moduli caricabili di kdeinit (KLM), avviandoli più efficientemente.

Usare kdeinit5 per avviare le applicazioni di KDE rende l'avviamento di una tipica applicazione di KDE raddoppia la velocità di avviamento e riduce significativamente il consumo di memoria.

kdeinit5 è collegato a tutte le librerie necessarie a una comune applicazione di KDE. Con questa tecnica, avviare un'applicazione è molto più veloce perché ora deve essere collegata solo l'applicazione stessa, mentre altrimenti sia l'applicazione che le librerie da essa usate avrebbero dovuto essere collegate.

SVANTAGGI

Il nome del processo delle applicazioni avviate con kdeinit5 è kdeinit5. Questo problema può essere corretto fino ad un certo punto cambiando il nome dell'applicazione indicato da ps. Tuttavia, applicazioni come killall vedranno solo kdeinit5 come nome del processo. Per aggirare il problema, usa kdekillall (dal pacchetto kdesdk/scripts) per le applicazioni avviate con kdeinit5.

OPZIONI

--help
    Mostra la guida sulle opzioni

--no-fork
    Non biforcare, cioè non uscire finché non sono finiti tutti i programmi in esecuzione

--no-kded
    Non avviare kded

--suicide
    Termina quando non ci sono più applicazioni di KDE in esecuzione

+programmi
    esegue le richieste di gestione dei programmi

programmi
    esegue i programmi senza richieste di gestione

USO

Un modo comune per eseguire questo programma è specificare semplicemente il seguente comando al prompt: kdeinit5 programma o kdeinit5 +programma.

FILE

/tmp/kde-$UTENTE/kdeinit5_$ISTANZA
    ...

VARIABILI DAMBIENTE

$HOME
    Specifica la cartella Home dell'utente attuale

$KDE_HOME_READONLY
    Specifica se la cartella Home dell'utente attuale è di sola lettura

$KDE_IS_PRELINKED
    Se impostato, dice a kdeinit5 che i programmi di KDE sono precollegati.

    (Il precollegamento è un processo che permette di accelerare il collegamento dinamico).

$KDE_DISPLAY
    Se impostato, dice a kdeinit5 che sta lavorando con un desktop KDE.

VEDI ANCHE

kded5, kdekillall

ERRORI

Usa il sito di gestione dei bug di KDE[1] per segnalarli.

AUTORI

Waldo Bastian <bastian@kde.org>
    Autore.

Mario Weilguni <mweilguni@sime.com>
    Autore.

Lubos Lunak <l.lunak@kde.org>
    Autore.

NOTE

1.  il sito di gestione dei bug di KDE
    http://bugs.kde.org